## wxStaticBoxSizer

wxStaticBoxSizer is a sizer derived from wxBoxSizer but adds a static box around the sizer. This static box has to be created independently or the sizer may create it itself as a convenience.

Derived from

wxBoxSizer
wxSizer
wxObject

Include files

<wx/sizer.h>

See also

wxSizer, wxStaticBox, wxBoxSizer, Sizer overview

Members

wxStaticBoxSizer::wxStaticBoxSizer
wxStaticBoxSizer::GetStaticBox

### wxStaticBoxSizer::wxStaticBoxSizer

wxStaticBoxSizer(wxStaticBox* box, int orient)

wxStaticBoxSizer(int orient, wxWindow *parent, const wxString& label = wxEmptyString)

The first constructor uses an already existing static box. It takes the associated static box and the orientation orient, which can be either `wxVERTICAL` or `wxHORIZONTAL` as parameters.

The second one creates a new static box with the given label and parent window.

### wxStaticBoxSizer::GetStaticBox

wxStaticBox* GetStaticBox()

Returns the static box associated with the sizer.